Bug 798506 - (ghc-cabal-file-th) Review Request: ghc-cabal-file-th - Template Haskell expressions for reading cabal files
Review Request: ghc-cabal-file-th - Template Haskell expressions for reading ...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Narasimhan
Fedora Extras Quality Assurance
:
Depends On:
Blocks: hledger
  Show dependency treegraph
 
Reported: 2012-02-29 00:27 EST by Ben Boeckel
Modified: 2012-04-11 23:26 EDT (History)
4 users (show)

See Also:
Fixed In Version: ghc-cabal-file-th-0.2.2-1.fc17
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-03-30 23:04:02 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
lakshminaras2002: fedora‑review+
petersen: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Ben Boeckel 2012-02-29 00:27:33 EST
Spec URL: http://benboeckel.net/packaging/ghc-cabal-file-th/ghc-cabal-file.spec
SRPM URL: http://benboeckel.net/packaging/ghc-cabal-file-th/ghc-cabal-file-th-0.2.2-1.fc18.src.rpm
Description:
Template Haskell expressions for reading cabal files.

ghc-cabal-file-th.src: W: strange-permission cabal-file-th-0.2.2.tar.gz 0640L
ghc-cabal-file-th.src: W: strange-permission ghc-cabal-file-th.spec 0640L
3 packages and 0 specfiles checked; 0 errors, 2 warnings.
Comment 3 Narasimhan 2012-03-04 04:22:33 EST
[+]MUST: rpmlint must be run on every package. The output should be posted in the review.

rpmlint  -i ghc-cabal-file-th-0.2.2-1.fc15.src.rpm  ghc-cabal-file-th-0.2.2-1.fc15.x86_64.rpm ghc-cabal-file-th-devel-0.2.2-1.fc15.x86_64.rpm ../ghc-cabal-file-th.spec 
ghc-cabal-file-th.src: W: strange-permission cabal-file-th-0.2.2.tar.gz 0640L
A file that you listed to include in your package has strange permissions.
Usually, a file should have 0644 permissions.

3 packages and 1 specfiles checked; 0 errors, 1 warnings.


[+]MUST: The package must be named according to the Package Naming Guidelines.
[+]MUST: The spec file name must match the base package %{name}, in the format %{name}.spec
[+]MUST: The package must meet the Packaging Guidelines.
        Naming-Yes
        Version-release - Matches
        No prebuilt external bits - OK
        Spec legibity - OK
        Package template - OK
        Arch support - OK
        Libexecdir - OK
        rpmlint - yes
        changelogs - NOT OK. Please add your name and email id to the changelog.
        Source url tag  - OK, validated.
        Build Requires list - OK
        Summary and description - OK
        API documentation - OK, in devel package

[+]MUST: The package must be licensed with a Fedora approved license and meet the Licensing Guidelines .
LICENSE is BSD 3 clause
[+]MUST: The License field in the package spec file must match the actual license.
[+]MUST: If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package must be included in %doc.
LICENSE file is included.
[+]MUST: The spec file must be written in American English.
[+]MUST: The sources used to build the package must match the upstream source,as provided in the spec URL. Reviewers should use md5sum for this task.

md5sum cabal-file-th-0.2.2.tar.gz 
96e79ac5ed4b581622b1b7a963d722dd  cabal-file-th-0.2.2.tar.gz

md5sum ghc-cabal-file-th-0.2.2-1.fc18.src/cabal-file-th-0.2.2.tar.gz 
96e79ac5ed4b581622b1b7a963d722dd  ghc-cabal-file-th-0.2.2-1.fc18.src/cabal-file-th-0.2.2.tar.gz

[+]MUST: The package MUST successfully compile and build into binary rpms on at least one primary architecture.
Built on x86_64
[+]MUST: If the package does not successfully compile, build or work on an architecture, then those architectures should be listed in the spec in ExcludeArch.
[+]MUST: All build dependencies must be listed in BuildRequires.
[+]MUST: Packages must NOT bundle copies of system libraries.
Checked with rpmquery --list
[NA]MUST: If the package is designed to be relocatable, the packager must state this fact in the request for review.
[+]MUST: A package must own all directories that it creates.
Checked with rpmquery --whatprovides
[+]MUST: A Fedora package must not list a file more than once in the spec file's %files listings.
[+]MUST: Permissions on files must be set properly.
Checked with ls -lR
[+]MUST: Each package must consistently use macros.
[+]MUST: The package must contain code, or permissible content.
[+]MUST: Large documentation files must go in a -doc subpackage.
[+]MUST: If a package includes something as %doc, it must not affect the runtime of the application.
[+]MUST: devel packages must require the base package using a fully versioned dependency: Requires: {name} = %{version}-%{release}
rpm -e ghc-cabal-file-th
error: Failed dependencies:
	ghc(cabal-file-th-0.2.2) = d282e5874908cd4cd7e59e74a3c2fb25 is needed by (installed) ghc-cabal-file-th-devel-0.2.2-1.fc15.x86_64
	ghc-cabal-file-th = 0.2.2-1.fc15 is needed by (installed) ghc-cabal-file-th-devel-0.2.2-1.fc15.x86_64

[NA]MUST: Packages containing GUI applications must include a %{name}.desktop file, and that file must be properly installed with desktop-file-install in the %install section
[+]MUST: Packages must not own files or directories already owned by other packages.
[+]MUST: All filenames in rpm packages must be valid UTF-8.

Should items
[+]SHOULD: If the source package does not include license text(s) as a separate file from upstream, the packager SHOULD query upstream to include it.
LICENSE file is included
[+]SHOULD: The reviewer should test that the package functions as described.
Installed the packages. Installs fine. Loaded Distribution.PackageDescription.TH into ghci. Loads fine.
[+]SHOULD: If scriptlets are used, those scriptlets must be sane.

cabal2spec-diff is OK.

Please correct the changelog to include your name and email id.

APPROVED.
Comment 4 Ben Boeckel 2012-03-04 10:34:21 EST
New Package SCM Request
=======================
Package Name: ghc-cabal-file-th
Short Description: Template Haskell expressions for reading cabal files
Owners: mathstuf
Branches: f15 f16 f17
InitialCC: haskell-sig

Will fix the changelog before uploading.
Comment 5 Jens Petersen 2012-03-06 02:24:10 EST
Git done (by process-git-requests).
Comment 6 Fedora Update System 2012-03-08 23:09:06 EST
ghc-cabal-file-th-0.2.2-1.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/ghc-cabal-file-th-0.2.2-1.fc16
Comment 7 Fedora Update System 2012-03-08 23:09:55 EST
ghc-cabal-file-th-0.2.2-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/ghc-cabal-file-th-0.2.2-1.fc17
Comment 8 Fedora Update System 2012-03-08 23:12:11 EST
ghc-cabal-file-th-0.2.2-1.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/ghc-cabal-file-th-0.2.2-1.fc15
Comment 9 Fedora Update System 2012-03-09 12:58:19 EST
ghc-cabal-file-th-0.2.2-1.fc17 has been pushed to the Fedora 17 testing repository.
Comment 10 Fedora Update System 2012-03-30 23:04:02 EDT
ghc-cabal-file-th-0.2.2-1.fc15 has been pushed to the Fedora 15 stable repository.
Comment 11 Fedora Update System 2012-03-30 23:23:00 EDT
ghc-cabal-file-th-0.2.2-1.fc16 has been pushed to the Fedora 16 stable repository.
Comment 12 Fedora Update System 2012-04-11 23:26:30 EDT
ghc-cabal-file-th-0.2.2-1.fc17 has been pushed to the Fedora 17 stable repository.

Note You need to log in before you can comment on or make changes to this bug.